#include "lion/icc/ICC.h"
#include "zcbor_decode.h"

#define CONFIG_APP_szMODEM     "/dev/ttyUSB0"
#define CONFIG_APP_u32BAUDRATE B115200

extern ICC_Context_t APP_strICC;

void APP_ICC_Init();
int APP_ICC_Start();
void APP_ICC_Stop();

int APP_IMG_Main(int argc, char *argv[]);

int app_mcumgr_Command(uint8_t u8Op, uint16_t u16Group, uint8_t u8Id, const void *ptrData, uint16_t u16DataLength,
                       uint8_t *ptrResponse, uint16_t *u16ResponseLength, RTOS_Timeout_t strTimeout);

bool app_mcumgr_ParseRet(zcbor_state_t *ptr_CBOR, struct zcbor_string *ptr_Key, uint32_t *ptr_RC);